Class | Sequel::JDBC::MySQL::Dataset
In: | lib/sequel/adapters/jdbc/mysql.rb
Parent: | JDBC::Dataset

Dataset class for MySQL datasets accessed via JDBC.

### Methods

insert provides_accurate_rows_matched? replace

### Included Modules

Sequel::MySQL::DatasetMethods

### Public Instance methods

insert(*values)

Use execute_insert to execute the insert_sql.

[Source]

        # File lib/sequel/adapters/jdbc/mysql.rb, line 69
    69:         def insert(*values)
    70:           execute_insert(insert_sql(*values))
    71:         end

provides_accurate_rows_matched?()

MySQL on JDBC does provides an accurate number of rows matched.

[Source]

        # File lib/sequel/adapters/jdbc/mysql.rb, line 79
    79:         def provides_accurate_rows_matched?
    80:           true
    81:         end

replace(*args)

Use execute_insert to execute the replace_sql.

[Source]

        # File lib/sequel/adapters/jdbc/mysql.rb, line 74
    74:         def replace(*args)
    75:           execute_insert(replace_sql(*args))
    76:         end

[Validate]